Browse the docs

Templates

Read your message templates to know which names, languages and variables you can send.

Base address: https://app.ezreach.in/api/v1

GET/api/v1/templates

List templates

Permission:templates:read

Returns templates sorted by name (deleted templates are excluded unless requested). Only APPROVED templates can be sent.

Query parameters

  • status

    string

    Comma-separated statuses, e.g. APPROVED or PENDING,REJECTED.

  • category

    string

    MARKETING, UTILITY or AUTHENTICATION (comma-separated).

  • accountId

    string

    Only templates of this WhatsApp account.

  • name

    string

    Exact template name.

  • language

    string

    Language code, e.g. en_US.

Request

curl "https://app.ezreach.in/api/v1/templates?status=APPROVED" \
  -H "Authorization: Bearer $EZREACH_API_KEY"

Response

200 OK
{
  "data": [
    {
      "id": "cm4t3mpl4t30001b2c3d4e5f6",
      "whatsappAccountId": "cm4acc0unt0001v7w8x9y0z1a",
      "account": {
        "id": "cm4acc0unt0001v7w8x9y0z1a",
        "name": "Main number",
        "mode": "CLOUD"
      },
      "metaTemplateId": "1234567890123456",
      "name": "order_update",
      "language": "en_US",
      "category": "UTILITY",
      "status": "APPROVED",
      "rejectedReason": null,
      "components": [
        {
          "type": "BODY",
          "text": "Hi {{1}}, your order #{{2}} has been {{3}}.",
          "example": {
            "body_text": [
              [
                "Ananya",
                "A-1042",
                "shipped"
              ]
            ]
          }
        },
        {
          "type": "BUTTONS",
          "buttons": [
            {
              "type": "URL",
              "text": "Track order",
              "url": "https://shop.example.com/orders/{{1}}",
              "example": [
                "https://shop.example.com/orders/A-1042"
              ]
            }
          ]
        }
      ],
      "headerMediaId": null,
      "headerMediaUrl": null,
      "qualityScore": "GREEN",
      "lastSyncedAt": "2026-09-16T10:30:00.000Z",
      "createdAt": "2026-09-16T10:30:00.000Z",
      "updatedAt": "2026-09-16T10:30:00.000Z"
    }
  ]
}

Errors

  • 422VALIDATION_ERROR

    Unknown status or category value.